<div>
    <div class="card mb-4 card-shadow-6">
        <div class="card-header">
            <h5 class="title"><strong>Subtemas</strong></h5>
            <div class="pull-right">
                <a v-if="loaderTable" class="btn btn-sm btn-primary disabled"
                   aria-disabled="true">
                    <i class="fa fa-plus"></i> {{ jsTrans('forms.button_new') }}
                </a>
                <a v-else="loaderTable" class="btn btn-sm btn-primary" @click="addSubTopic()">
                    <i class="fa fa-plus"></i> {{ jsTrans('forms.button_new') }}
                </a>
            </div>
        </div>
        <div class="card-body">
            <div v-if="loaderTable">
            </div>
            <div v-else="loaderTable">
                <div class="row justify-content-around" v-for="i in Math.ceil(subTopics.length / 3)">

                    <div class="alert alert-info alert-dismissible fade show col-md-3 rounded-0" role="alert" v-for="(data, index) in subTopics.slice((i - 1) * 3, i * 3)">
                        <strong>{{ data.text }}</strong>
                        <p class="mb-0"><small>{{ data.created_at | formatDate }}</small></p>
                        <div class="close">
                            <b-dropdown id="ddown1" size="sm" right aria-hidden="true">
                                <b-dropdown-item @click="editSubTopic(index)">Editar</b-dropdown-item>
                                <b-dropdown-item @click="removeSubTopic(index)">Remover</b-dropdown-item>
                            </b-dropdown>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--Modal para adicionar Tipo de Curso-->
    <b-modal
            ref="addModalSubTopic"
             size="lg"
             title="Cadastro de Sub-Tema"
             :ok-disabled="loaderButton"
             :cancel-disabled="loaderButton"
             :ok-title="jsTrans('forms.button_create')"
             :ok-cancel="jsTrans('forms.button_cancel')"
             @ok="store()">
        <div class="message is-danger" v-if="errors.length > 0">
            <div class="message-body">
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </div>
        </div>
        <div class="field">
            <label class="label">Título</label>
            <input type="text" name="text" id="text" class="form-control" v-model="subTopic.text"
                   :disabled="loaderButton" required>
        </div>
    </b-modal>

    <!--Modal para editar Tipo de Curso-->
    <b-modal
            id="modalEdit"
            ref="editModalSubTopic"
             size="lg"
             title="Editar Tipo de Curso"
             :ok-disabled="loaderButton"
             :cancel-disabled="loaderButton"
             :ok-title="jsTrans('forms.button_update')"
             :ok-cancel="jsTrans('forms.button_cancel')"
             @ok="update()">
        <div class="message is-danger" v-if="errors.length > 0">
            <div class="message-body">
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </div>
        </div>
        <div class="field">
            <label class="label">Título</label>
            <input type="text" name="text" id="text" class="form-control"
                   v-model="update_subTopic.text" :disabled="loaderButton" required autofocus>
        </div>
    </b-modal>

    <!--Modal para remove Tipo de Curso-->
    <b-modal
            ref="removeModalSubTopic"
             title="Tem certeza que deseja remove esse tipo de curso?"
             :ok-disabled="loaderButton"
             :cancel-disabled="loaderButton"
             :ok-title="jsTrans('forms.action_delete')"
             :ok-cancel="jsTrans('forms.button_cancel')"
             @ok="destroy()">
        <div class="message is-danger" v-if="errors.length > 0">
            <div class="message-body">
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </div>
        </div>
        <div class="field text-center">
            <h5>{{ objectDelete.name }}</h5>
        </div>
    </b-modal>

    <!--Modal para restaurar Tipo de Curso-->
    <b-modal ref="restoreModalSubTopicr"
             title="Tem certeza que deseja restaurar esse tipo de curso?"
             :ok-disabled="loaderButton"
             :cancel-disabled="loaderButton"
             :ok-title="jsTrans('forms.button_restore')"
             :ok-cancel="jsTrans('forms.button_cancel')"
             @ok="restore()">
        <div class="message is-danger" v-if="errors.length > 0">
            <div class="message-body">
                <ul>
                    <li v-for="error in errors">{{ error }}</li>
                </ul>
            </div>
        </div>
        <div class="field text-center">
            <h5>{{ objectDelete.name }}</h5>
        </div>
    </b-modal>
</div>
</div>

